[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Rdo-list] Why use yum priority in rdo-release repo file?



On 06/20/2013 01:53 PM, Steve Gordon wrote:
> ----- Original Message -----
>> From: "Pádraig Brady" <pbrady redhat com>
>> To: "Sandro \"red\" Mathys" <red fedoraproject org>
>> Cc: rdo-list redhat com
>> Sent: Thursday, June 20, 2013 7:35:09 AM
>> Subject: Re: [Rdo-list] Why use yum priority in rdo-release repo file?
>>
>> On 06/20/2013 12:03 PM, Pádraig Brady wrote:
>>> On 06/20/2013 09:30 AM, Sandro "red" Mathys wrote:
>>>> Even though RDO is supposed to always being ahead of RHEL and EPEL, it
>>>> enforces a higher priority (lower priority=N) than the default. Why?
>>>
>>> So yes this is debatable.
>>> y-p-p is used with the RHOS product to give precedence over EPEL.
>>> I.E. even though EPEL is not required there, con existence is supported.
>>>
>>> Now RDO requires EPEL so again y-p-p gives us the flexibility for RDO to
>>> override EPEL.
>>> Now whether this is actually required at present is not obvious.
>>>
>>> We could retain the flexiblity while avoiding problems with y-p-p
>>> by keeping the overlapping set as small as possible.
>>>
>>> wrt puppet, I'm not sure why it's there TBH.
>>> EPEL has 2.6.18-3 while puppet-2.6.18-2 is in the RDO repo.
>>> I've asked around a little and will probably just remove
>>> puppet from the RDO repo, which will fix your immediate problem.
>>
>> So I found the reason that puppet was in RDO from the following commit.
>> It was a temp workaround I made in the rush to get a working RDO out the
>> door,
>> and completely forgot about. Now the update in epel should fix this issue,
>> so the plan above to remove puppet from RDO should work, and I've now done
>> that.
>>
>> thanks,
>> Pádraig.
> 
> If puppet is removed from the RDO repo will the Quick Start need to be updated to explicitly state the EPEL requirement (it does not at the moment)? Currently my understanding is users only need to explicitly enable/install the RDO repository, then PackStack (as you say) enables EPEL if it detects that you are on an EL system...I'm wondering if it is still able to do this without access to puppet from the RDO repository (chicken and egg situation)?
> 
> If not then removing it would necessitate some updates to the instructions (not that this is necessarily a bad thing in and of itself, there are other issues with the Quick Start thanks to the introduction of Quantum support in PackStack but the page is locked to edits).

Very good point.

But the packstack package doesn't depend on puppet,
and instead explicitly installs puppet after the
appropriate repos are enabled.

If it didn't do that, then rather than updating the docs,
it would probably best to add the epel-release rpm to the RDO repo
and have rdo-release depend on it. That would obviate the need
for docs and packstack logic. Caveat with that is we'd then
need separate rdo-release rpms for RHEL (derivatives) and Fedora.
So I'm leaving as is until the need arises to change this.

cheers,
Pádraig.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]